/* This file is part of the 
 *
 *	Delta Project  (ConversationBuilder)  
 *	Human-Computer Interaction Laboratory
 *	University of Illinois at Urbana-Champaign
 *	Department of Computer Science
 *	1304 W. Springfield Avenue
 *	Urbana, Illinois 61801
 *	USA
 *
 *	c 1989,1990,1991 Board of Trustees
 *		University of Illinois
 *		All Rights Reserved
 *
 *	This file is distributed under license and is confidential
 *
 *	File title and purpose
 *	Author:  Thomas Fruchterman
 *		 John Jozwiak
 *		 Mark Allender (allender@cs.uiuc.edu)
 *               Doug Bogia (bogia@cs.uiuc.edu)
 *
 *	Project Leader:  Simon Kaplan (kaplan@cs.uiuc.edu)
 *	Direct enquiries to the project leader please.
 */

/*
     Nature -- a force-directed graph-drawing program
     author: Thomas Fruchterman
     copyright 1990 Thomas Fruchterman
*/

#include "extern.h"
#include "graph.h"

#define ABS(x) ((x < 0) ? -x : x)

#ifdef NEED_SQRT
double sqrt(x)
     double x;
{
  double guess, temp;

  guess = 1.0;
  for (temp = ((x/guess) + guess) / 2.0 ;ABS( (temp - guess)) > 0.00001;
       guess = temp, temp = ((x/guess) + guess) / 2.0)
    ;
  return guess;
}
#endif  /* NEED_SQRT */

